.\" $NetBSD: snapper.4,v 1.2 2007/04/04 02:37:16 jmcneill Exp $
.\"
.\" Copyright (c) 2006 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 3, 2007
.Dt SNAPPER 4 macppc
.Os
.Sh NAME
.Nm snapper
.Nd Apple audio device driver
.Sh SYNOPSIS
.Cd "snapper* at obio?"
.Cd "audio* at snapper?"
.Sh DESCRIPTION
The
.Nm
driver provides support for audio hardware using the TAS3004
chipset found in many Apple iBooks, PowerBooks, and PowerMacs.
Other i2s compatible controllers found in Mac Minis, which
lack a TAS3004, are also supported.
.Pp
Hardware features:
.Bl -bullet -compact
.It
Supports data word lengths of 16 to 24 bits
.It
Processes sample rates from 32kHz to 48kHz
.It
Provides digital equalization and compression capabilities
.El
.Sh SEE ALSO
.Xr audio 4 ,
.Xr awacs 4
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 2.0 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Tsubai Masanari
with modifications by
.An Jared D. McNeill .
.Sh BUGS
This driver needs more testing.
